(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('forceify'), require('react'), require('react-dom')) :
  typeof define === 'function' && define.amd ? define(['forceify', 'react', 'react-dom'], factory) :
  (global.ReactForceify = factory(global.Forceify,global.React,global.ReactDOM));
}(this, (function (Forceify,React,ReactDOM) { 'use strict';

  Forceify = Forceify && Forceify.hasOwnProperty('default') ? Forceify['default'] : Forceify;
  React = React && React.hasOwnProperty('default') ? React['default'] : React;
  ReactDOM = ReactDOM && ReactDOM.hasOwnProperty('default') ? ReactDOM['default'] : ReactDOM;

  function _inheritsLoose(subClass, superClass) {
    subClass.prototype.__proto__ = superClass && superClass.prototype;
    subClass.__proto__ = superClass;
  }

  function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
      }
    }

    return target;
  }

  var ReactForceify =
  /*#__PURE__*/
  function (_React$Component) {
    function ReactForceify() {
      return _React$Component.apply(this, arguments) || this;
    }

    var _proto = ReactForceify.prototype;

    _proto.componentDidMount = function componentDidMount() {
      var _this$props = this.props,
          onForce = _this$props.onForce,
          props = _objectWithoutProperties(_this$props, ["onForce"]);

      if (this.props.onForce) {
        var el = ReactDOM.findDOMNode(this);
        this.instance = new Forceify(el, props).onForce(onForce);
      } else {
        console.error("Please pass the \xABonForce\xBB prop to the component as event handler, else it will not work");
      }
    };

    _proto.render = function render() {
      return this.props.children;
    };

    _inheritsLoose(ReactForceify, _React$Component);

    return ReactForceify;
  }(React.Component);

  return ReactForceify;

})));
