import babel from 'rollup-plugin-babel'

export default {
  input: 'forceify.es.js',
  output: {
    format: 'umd',
    name: 'ReactForceify',
    file: 'forceify.umd.js',
    globals: {
      'react': 'React',
      'react-dom': 'ReactDOM',
      'forceify': 'Forceify'
    }
  },
  plugins: [
    babel({
      exclude: 'node_modules/**'
		  })
  ],
  context: 'this',
  external: ['react', 'react-dom', 'forceify']
}
